
Foreman - Feature #17368

Add ability to filter permissions by hostgroup_fullname for all filters where hostgroup can be

selected

11/16/2016 11:31 AM - Sebastian Bublitz

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.12.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi everyone,

when creating roles, I would like to be able to filter on the hostgroup_fullname field everywhere where a filter on hostgroup ca be

applied.

This is necessary to filter on a hostgroup and all of it's nested hostgroups without explicitly adding everyone of them.

Currently this is possible on some ressources like host or (via the title field, which seems to be the same) hostgroups, but not, for

instance, on the factvalue ressource, where only host.hostgroup is possible.

History

#1 - 11/17/2016 03:07 AM - Dominic Cleal

- Category set to Search

#2 - 02/15/2023 10:37 AM - Sebastian Bublitz

- Status changed from New to Resolved

I don't know when this was added, but checking for this again it looks like it has been implemented somewhere over the past 6 years
